Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.entity
Class ConsumingNHttpEntityTemplate

    java.lang.Object
      org.apache.http.entity.HttpEntityWrapper
          org.apache.http.nio.entity.ConsumingNHttpEntityTemplate

All Implemented Interfaces:
  HttpEntity, ConsumingNHttpEntity

Deprecated. use (4.2) `BasicAsyncRequestProducer` or `BasicAsyncResponseProducer`

    @Deprecated
    public class ConsumingNHttpEntityTemplate

extends HttpEntityWrapper
implements ConsumingNHttpEntity

A `ConsumingNHttpEntity` that forwards available content to a `ContentListener`.

Since:
  4.0

Field Summary

Fields inherited from class org.apache.http.entity.HttpEntityWrapper
`wrappedEntity`

Constructor Summary
`ConsumingNHttpEntityTemplate(HttpEntity httpEntity, ContentListener contentListener)` Deprecated.

Method Summary
`void` | `consumeContent(ContentDecoder decoder, IOControl ioControl)` Deprecated. Notification that content is available to be read from the decoder.
`void` | `finish()` Deprecated. Notification that any resources allocated for reading can be released.
`InputStream` | `getContent()` Deprecated. Returns a content stream of the entity.
`ContentListener` | `getContentListener()` Deprecated.
`boolean` | `isStreaming()` Deprecated. Tells whether this entity depends on an underlying stream.
`void` | `writeTo(OutputStream out)` Deprecated. Writes the entity content out to the output stream.

Methods inherited from class org.apache.http.entity.HttpEntityWrapper
`consumeContent, getContentEncoding, getContentLength, getContentType, isChunked, isRepeatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.http.HttpEntity
`consumeContent, getContentEncoding, getContentLength, getContentType, isChunked, isRepeatable`

Constructor Detail

### ConsumingNHttpEntityTemplate

    public ConsumingNHttpEntityTemplate(HttpEntity httpEntity,
                                        ContentListener contentListener)

  Deprecated.

Method Detail

### getContentListener

    public ContentListener getContentListener()

  Deprecated.

### getContent

    public InputStream getContent()
                           throws IOException,
                                  UnsupportedOperationException

  Deprecated.
  Description copied from interface: `HttpEntity`
  Returns a content stream of the entity. `Repeatable` entities are expected to create a new instance of `InputStream` for each invocation of this method and therefore can be consumed multiple times. Entities that are not `repeatable` are expected to return the same `InputStream` instance and therefore may not be consumed more than once.

  IMPORTANT: Please note all entity implementations must ensure that all allocated resources are properly deallocated after the `InputStream.close()` method is invoked.

  Specified by:
    `getContent` in interface `HttpEntity`
  Overrides:
    `getContent` in class `HttpEntityWrapper`
  Returns:
    content stream of the entity.
  Throws:
    `IOException` - if the stream could not be created
    `UnsupportedOperationException` - if entity content cannot be represented as `InputStream`.
  See Also:
    `HttpEntity.isRepeatable()`

### isStreaming

    public boolean isStreaming()

  Deprecated.
  Description copied from interface: `HttpEntity`
  Tells whether this entity depends on an underlying stream. Streamed entities that read data directly from the socket should return `true`. Self-contained entities should return `false`. Wrapping entities should delegate this call to the wrapped entity.

  Specified by:
    `isStreaming` in interface `HttpEntity`
  Overrides:
    `isStreaming` in class `HttpEntityWrapper`
  Returns:
    `true` if the entity content is streamed, `false` otherwise

### writeTo

    public void writeTo(OutputStream out)
                 throws IOException,
                        UnsupportedOperationException

  Deprecated.
  Description copied from interface: `HttpEntity`
  Writes the entity content out to the output stream.

  IMPORTANT: Please note all entity implementations must ensure that all allocated resources are properly deallocated when this method returns.

  Specified by:
    `writeTo` in interface `HttpEntity`
  Overrides:
    `writeTo` in class `HttpEntityWrapper`
  Parameters:
    `out` - the output stream to write entity content to
  Throws:
    `IOException` - if an I/O error occurs
    `UnsupportedOperationException`

### consumeContent

    public void consumeContent(ContentDecoder decoder,
                               IOControl ioControl)
                        throws IOException

  Deprecated.
  Description copied from interface: `ConsumingNHttpEntity`
  Notification that content is available to be read from the decoder. `IOControl` instance passed as a parameter to the method can be used to suspend input events if the entity is temporarily unable to allocate more storage to accommodate all incoming content.

  Specified by:
    `consumeContent` in interface `ConsumingNHttpEntity`
  Parameters:
    `decoder` - content decoder.
    `ioControl` - I/O control of the underlying connection.
  Throws:
    `IOException`

### finish

    public void finish()

  Deprecated.
  Description copied from interface: `ConsumingNHttpEntity`
  Notification that any resources allocated for reading can be released.

  Specified by:
    `finish` in interface `ConsumingNHttpEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.